Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456457 - multipath does not read a section in multipath.conf unless it has a space before the open bracket.
Summary: multipath does not read a section in multipath.conf unless it has a space bef...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks: 456458
TreeView+ depends on / blocked
 
Reported: 2008-07-23 20:16 UTC by Ben Marzinski
Modified: 2010-01-12 02:32 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* multipath could not parse entries in the multipath.conf files if there was no space between the section name and the open bracket that followed it (for example, "blacklist{" instead of "blacklist {") and would simply ignore such entries. Multipath now recognizes and parses entries without spaces.
Clone Of:
Environment:
Last Closed: 2009-05-18 20:32:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1011 normal SHIPPED_LIVE device-mapper-multipath bug-fix update and enhancement 2009-05-18 14:11:59 UTC

Description Ben Marzinski 2008-07-23 20:16:53 UTC
Description of problem:

In a multipath.conf file.  If a section doesn't have a space between the section
name and the open bracket, that section isn't read in.  For instance

blacklist {
        devnode "*"
}

correctly blacklists all devices, but

blacklist{
        devnode "*"
}

does nothing.

Comment 1 Ben Marzinski 2009-01-19 22:56:31 UTC
This was an error in the parser function.  It wasn't recognizing the bracket as separate from the section name.  Fixed.

Comment 3 Ruediger Landmann 2009-02-02 05:53:38 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* multipath could not parse entries in the multipath.conf files if there was no space between the section name and the open bracket that followed it (for example, "blacklist{" instead of "blacklist {") and would simply ignore such entries. Multipath now recognizes and parses entries without spaces.

Comment 5 errata-xmlrpc 2009-05-18 20:32:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1011.html


Note You need to log in before you can comment on or make changes to this bug.